readline_completion_function
readline_list_history
Readline Functions
PHP Manual

# readline_info

Gets/sets various internal readline variables

### Description

mixed readline_info ([ string `$varname` [, string `$newvalue` ]] )

Gets or sets various internal readline variables.

### Parameters

`varname`

  A variable name.

`newvalue`

  If provided, this will be the new value of the setting.

### Return Values

If called with no parameters, this function returns an array of values for all the setting readline uses. The elements will be indexed by the following values: done, end, erase_empty_line, library_version, line_buffer, mark, pending_input, point, prompt, readline_name, and terminal_name.

If called with one or two parameters, the old value is returned.